<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:jaxws="http://cxf.apache.org/jaxws"
       xmlns:p="http://www.springframework.org/schema/p"
       xmlns:http="http://cxf.apache.org/transports/http/configuration" xmlns:t="http://dnetlib.eu/springbeans/t"
       xmlns:template="http://dnetlib.eu/springbeans/template"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                           http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd
                           http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd
                           http://dnetlib.eu/springbeans/template http://dnetlib.eu/springbeans/template.xsd">

    <bean id="datasourceManager" class="eu.dnetlib.data.datasource.LocalSimpleDatasourceManagerImpl">
        <property name="browsableFields">
            <list>
                <bean class="eu.dnetlib.data.datasource.XmlBrowsableField"
                      p:id="country" p:label="Datasource countries" p:xpath="../../COUNTRY/text()"
                      p:vocabulary="dnet:countries" />
                <bean class="eu.dnetlib.data.datasource.XmlBrowsableField"
                      p:id="type" p:label="API typologies" p:xpath="@typology/string()"
                      p:vocabulary="dnet:datasource_typologies" />
                <bean class="eu.dnetlib.data.datasource.XmlBrowsableField"
                      p:id="protocol" p:label="API protocols" p:xpath="ACCESS_PROTOCOL/text()"
                      p:vocabulary="dnet:protocols" />
                <bean class="eu.dnetlib.data.datasource.XmlBrowsableField"
                      p:id="compliance" p:label="API compatibility levels"
                      p:xpath="concat(substring(./INTERFACE_EXTRA_FIELD[@name='overriding_compliance'], 1, number(boolean(./INTERFACE_EXTRA_FIELD[@name='overriding_compliance'])) * string-length(./INTERFACE_EXTRA_FIELD[@name='overriding_compliance'])), substring(@compliance, 1, number(not(boolean(./INTERFACE_EXTRA_FIELD[@name='overriding_compliance']))) * string-length(@compliance)))"
                      p:vocabulary="dnet:compatibilityLevel" />
            </list>
        </property>
    </bean>

</beans>
